unit OpenDS;

interface

uses Windows, SysUtils, Classes, Graphics, Forms, Controls, StdCtrls,
  Buttons, ExtCtrls, DBTables;

type
  TOpenDSDlg = class(TForm)
    OKBtn: TButton;
    CancelBtn: TButton;
    Label1: TLabel;
    AliasNames: TListBox;
    procedure FormCreate(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure AliasNamesDblClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  OpenDSDlg: TOpenDSDlg;

implementation

{$R *.DFM}

procedure TOpenDSDlg.FormCreate(Sender: TObject);
begin
  Session.GetAliasNames(AliasNames.Items);
end;

procedure TOpenDSDlg.FormShow(Sender: TObject);
begin
  AliasNames.SetFocus;
  if AliasNames.ItemIndex = -1 then AliasNames.ItemIndex:=0; 
end;

procedure TOpenDSDlg.AliasNamesDblClick(Sender: TObject);
begin
  OKBtn.Click;
end;

end.
